org.apache.ignite.internal.processors.cache

## Enum CacheType

- java.lang.Object
- - java.lang.Enum<CacheType>
  - - org.apache.ignite.internal.processors.cache.CacheType

All Implemented Interfaces:
  Serializable, Comparable<CacheType>

    public enum CacheType
    extends Enum<CacheType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DATA_STRUCTURES` Cache for data structures, should not be visible via public API.
`INTERNAL` Internal cache, should not be visible via public API.
`USER` Regular cache created by user, visible via public API (e.g.
`UTILITY` Internal replicated cache, should use separate thread pool.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`byte` `ioPolicy()`
`boolean` `userCache()`
`static CacheType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### USER

    public static final CacheType USER

Regular cache created by user, visible via public API (e.g. `Ignite.cache(String)`).

#### INTERNAL

    public static final CacheType INTERNAL

Internal cache, should not be visible via public API.

#### DATA_STRUCTURES

    public static final CacheType DATA_STRUCTURES

Cache for data structures, should not be visible via public API.

#### UTILITY

    public static final CacheType UTILITY

Internal replicated cache, should use separate thread pool.

### Method Detail

#### values

    public static CacheType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheType c : CacheType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### ioPolicy

    public byte ioPolicy()

Returns:
  Cache IO policy.

#### userCache

    public boolean userCache()

Returns:
  `True` if cache created by user.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023